=== debian/control ===
Source: twatch
Section: net
Priority: optional
Maintainer: Roman V. Nikolaev <rshadow@rambler.ru>
Build-Depends: cdbs, debhelper (>= 7)
Standards-Version: 3.9.1
Homepage: http://twatch.rshadow.ru/

Package: twatch
Architecture: all
Section: net
Depends: ${misc:Depends}, ${perl:Depends}, libtwatch-perl, logrotate
Suggests: rtorrent
Description: watch torrent trackers and automatically download new torrents
 twatch is a simple and flexible watcher torrent trackers, based on regular
 expressions. It can download new torrent files and information about them by
 customizable filters.

Package: libtwatch-perl
Architecture: all
Section: perl
Depends: ${misc:Depends}, ${perl:Depends}, libxml-simple-perl,
 libwww-mechanize-perl, libmime-lite-perl, libfile-path-perl, libhtml-tree-perl,
 libhtml-treebuilder-xpath-perl, libmime-tools-perl
Description: watch torrent trackers and automatically download new torrents
 twatch is a simple and flexible watcher torrent trackers, based on regular
 expressions. It can download new torrent files and information about them by
 customizable filters.
 .
 This package contains libraries for twatch
