## twatch 0.0.7

=== debian/changelog ===
twatch (0.0.7-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 17:28:27 +0100

twatch (0.0.7-1) unstable; urgency=low

  * New upstream bugfix release

 -- Roman V. Nikolaev <rshadow@rambler.ru>  Tue, 25 Jan 2011 13:25:21 +0300

twatch (0.0.6-1) unstable; urgency=low

  * New upstream release
    
 -- Roman V. Nikolaev <rshadow@rambler.ru>  Tue, 18 Jan 2011 11:00:30 +0300
