=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Section: perl
 Depends: ${misc:Depends}, ${perl:Depends}, libxml-simple-perl,
  libwww-mechanize-perl, libmime-lite-perl, libfile-path-perl, libhtml-tree-perl,
- libhtml-treebuilder-xpath-perl, libmime-tools-perl
+ libhtml-treebuilder-xpath-perl, libmime-tools-perl, libwww-perl
 Description: watch torrent trackers and automatically download new torrents
  twatch is a simple and flexible watcher torrent trackers, based on regular
  expressions. It can download new torrent files and information about them by
